Default Android 4.4.2 Game killer 'root privilege is needed' Solution

hi everybody. i find soultion for me...
i have too same problem about game killer.
tried anythings.on 4.4.2 worked game killer 1.9 version but old version.
changed rom version from 4.4.2 to 4.3 and not worked.
from 4.3 to 4.1.2 then worked and i think this problem is about kernek or linux version.
and i have find solution for my Galaxy Note 2 N7100.
flashed AGNİ Kernel and now i use game killer 2.6 version.
and my note2 is klone ime. hasn't problem about imei or signal after flash kernel.